Summary: GNU multiprecision arithmetic library
Name: gmp
Version: 6.3.0
Release: r0
License: GPL-2.0-or-later | LGPL-3.0-or-later
Group: devel
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: http://gmplib.org/
Source0: gmp-6.3.0.tar.bz2
Source1: 0001-confiure.ac-Believe-the-cflags-from-environment.patch
Source2: 0001-Append-the-user-provided-flags-to-the-auto-detected-.patch
Source3: use-includedir.patch
Source4: series
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: texinfo-dummy-native
BuildRequires: virtual/aarch64-poky-linux-compilerlibs
BuildRequires: virtual/aarch64-poky-linux-gcc
BuildRequires: virtual/libc

%description
GMP is a free library for arbitrary precision arithmetic, operating on
signed integers, rational numbers, and floating point numbers

%package -n libgmp-src
Summary: GNU multiprecision arithmetic library - Source files
License: GPL-2.0-or-later | LGPL-3.0-or-later
Group: devel
Provides: gmp-src = 6.3.0

%description -n libgmp-src
GMP is a free library for arbitrary precision arithmetic, operating on
signed integers, rational numbers, and floating point numbers  This package
contains sources for debugging purposes.

%package -n libgmp-dbg
Summary: GNU multiprecision arithmetic library - Debugging files
License: GPL-2.0-or-later | LGPL-3.0-or-later
Group: devel
Recommends: glibc-dbg
Recommends: libgcc-dbg
Recommends: libstdc++-dbg
Provides: gmp-dbg = 6.3.0

%description -n libgmp-dbg
GMP is a free library for arbitrary precision arithmetic, operating on
signed integers, rational numbers, and floating point numbers  This package
contains ELF symbols and related sources for debugging purposes.

%package -n libgmpxx4
Summary: GNU multiprecision arithmetic library
License: GPL-2.0-or-later | LGPL-3.0-or-later
Group: devel
Requires: ld-linux-aarch64.so.1()(64bit)
Requires: ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libgcc1 >= 14.2.0
Requires: libgcc_s.so.1()(64bit)
Requires: libgcc_s.so.1(GCC_3.0)(64bit)
Requires: libgmp.so.10()(64bit)
Requires: libgmp10 >= 6.3.0
Requires: libm.so.6()(64bit)
Requires: libstdc++.so.6()(64bit)
Requires: libstdc++.so.6(CXXABI_1.3)(64bit)
Requires: libstdc++.so.6(CXXABI_1.3.9)(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4)(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4.11)(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4.21)(64bit)
Requires: libstdc++.so.6(GLIBCXX_3.4.32)(64bit)
Requires: libstdc++6 >= 14.2.0
Requires: rtld(GNU_HASH)
Requires(post): ld-linux-aarch64.so.1()(64bit)
Requires(post): ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.17)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): libgcc1 >= 14.2.0
Requires(post): libgcc_s.so.1()(64bit)
Requires(post): libgcc_s.so.1(GCC_3.0)(64bit)
Requires(post): libgmp.so.10()(64bit)
Requires(post): libgmp10 >= 6.3.0
Requires(post): libm.so.6()(64bit)
Requires(post): libstdc++.so.6()(64bit)
Requires(post): libstdc++.so.6(CXXABI_1.3)(64bit)
Requires(post): libstdc++.so.6(CXXABI_1.3.9)(64bit)
Requires(post): libstdc++.so.6(GLIBCXX_3.4)(64bit)
Requires(post): libstdc++.so.6(GLIBCXX_3.4.11)(64bit)
Requires(post): libstdc++.so.6(GLIBCXX_3.4.21)(64bit)
Requires(post): libstdc++.so.6(GLIBCXX_3.4.32)(64bit)
Requires(post): libstdc++6 >= 14.2.0
Requires(post): rtld(GNU_HASH)
Provides: libgmpxx = 6.3.0
Provides: libgmpxx.so.4()(64bit)

%description -n libgmpxx4
GMP is a free library for arbitrary precision arithmetic, operating on
signed integers, rational numbers, and floating point numbers

%package -n libgmp-staticdev
Summary: GNU multiprecision arithmetic library - Development files (Static Libraries)
License: GPL-2.0-or-later | LGPL-3.0-or-later
Group: devel
Requires: libgmp-dev = 6.3.0-r0
Provides: gmp-staticdev = 6.3.0

%description -n libgmp-staticdev
GMP is a free library for arbitrary precision arithmetic, operating on
signed integers, rational numbers, and floating point numbers  This package
contains static libraries for software development.

%package -n libgmp-dev
Summary: GNU multiprecision arithmetic library - Development files
License: GPL-2.0-or-later | LGPL-3.0-or-later
Group: devel
Requires: gmp
Requires: libgmpxx
Recommends: glibc-dev
Recommends: libgcc-dev
Recommends: libgmp10 = 6.3.0-r0
Recommends: libgmpxx-dev
Recommends: libstdc++-dev
Provides: gmp-dev = 6.3.0

%description -n libgmp-dev
GMP is a free library for arbitrary precision arithmetic, operating on
signed integers, rational numbers, and floating point numbers  This package
contains symbolic links, header files, and related items necessary for
software development.

%package -n libgmp-doc
Summary: GNU multiprecision arithmetic library - Documentation files
License: GPL-2.0-or-later | LGPL-3.0-or-later
Group: doc
Provides: gmp-doc = 6.3.0

%description -n libgmp-doc
GMP is a free library for arbitrary precision arithmetic, operating on
signed integers, rational numbers, and floating point numbers  This package
contains documentation.

%package -n libgmp-locale
Summary: GNU multiprecision arithmetic library
License: GPL-2.0-or-later | LGPL-3.0-or-later
Group: devel
Provides: gmp-locale = 6.3.0

%description -n libgmp-locale
GMP is a free library for arbitrary precision arithmetic, operating on
signed integers, rational numbers, and floating point numbers

%package -n libgmp10
Summary: GNU multiprecision arithmetic library
License: GPL-2.0-or-later | LGPL-3.0-or-later
Group: devel
Requires: ld-linux-aarch64.so.1()(64bit)
Requires: ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)
Requires(post): ld-linux-aarch64.so.1()(64bit)
Requires(post): ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.17)(64bit)
Requires(post): libc.so.6(GLIBC_2.38)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): rtld(GNU_HASH)
Provides: gmp = 6.3.0
Provides: libgmp.so.10()(64bit)

%description -n libgmp10
GMP is a free library for arbitrary precision arithmetic, operating on
signed integers, rational numbers, and floating point numbers

%post -n libgmpxx4
# libgmpxx4 - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%post -n libgmp10
# libgmp10 - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libgmp-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/gmp"
%attr(755,root,root) %dir "/usr/src/debug/gmp/6.3.0"
%attr(755,root,root) %dir "/usr/src/debug/gmp/6.3.0/mpf"
%attr(755,root,root) %dir "/usr/src/debug/gmp/6.3.0/mpq"
%attr(755,root,root) %dir "/usr/src/debug/gmp/6.3.0/scanf"
%attr(755,root,root) %dir "/usr/src/debug/gmp/6.3.0/rand"
%attr(755,root,root) %dir "/usr/src/debug/gmp/6.3.0/mpn"
%attr(755,root,root) %dir "/usr/src/debug/gmp/6.3.0/mpz"
%attr(755,root,root) %dir "/usr/src/debug/gmp/6.3.0/cxx"
%attr(755,root,root) %dir "/usr/src/debug/gmp/6.3.0/printf"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/gmp.h"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mp_set_fns.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/gmp-impl.h"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/errno.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/version.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/compat.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/memory.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/assert.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/invalid.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/tal-reent.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mp_dv_tab.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/nextprime.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/primesieve.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mp_bpl.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/gmpxx.h"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mp_minv_tab.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/extract-dbl.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mp_get_fns.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/size.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/div_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/init2.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/set_prc.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/get_dfl_prec.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/div_2exp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/cmp_d.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/iset.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/ceilfloor.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/random2.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/clear.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/cmp_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/get_str.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/get_prc.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/neg.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/set_si.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/sqrt_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/set_q.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/sub_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/set_prc_raw.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/set_z.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/clears.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/iset_d.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/cmp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/sqrt.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/int_p.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/trunc.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/eq.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/pow_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/inp_str.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/iset_str.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/init.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/fits_u.h"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/iset_si.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/add_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/ui_sub.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/iset_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/sub.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/mul_2exp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/cmp_si.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/get_d.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/div.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/set_dfl_prec.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/mul_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/get_d_2exp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/set_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/add.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/abs.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/urandomb.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/fits_s.h"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/reldiff.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/cmp_z.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/inits.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/get_si.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/set_str.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/get_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/swap.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/set.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/out_str.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/dump.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/set_d.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpf/ui_div.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/md_2exp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/set_num.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/clear.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/cmp_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/get_str.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/neg.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/set_si.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/aors.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/set_den.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/get_num.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/set_z.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/get_den.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/clears.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/canonicalize.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/cmp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/inp_str.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/init.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/set_f.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/cmp_si.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/get_d.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/div.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/inv.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/set_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/abs.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/inits.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/set_str.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/swap.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/set.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/out_str.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/set_d.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpq/equal.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/scanf/sscanffuns.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/scanf/vscanf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/scanf/vfscanf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/scanf/fscanffuns.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/scanf/vsscanf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/scanf/doscan.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/scanf/sscanf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/scanf/fscanf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/scanf/scanf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/rand/randlc2x.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/rand/rand.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/rand/randmt.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/rand/randmt.h"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/rand/rands.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/rand/randbui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/rand/randmts.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/rand/randlc2s.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/rand/randdef.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/rand/randsd.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/rand/randsdui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/rand/randclr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/rand/randiset.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/rand/randmui.c"
%attr(755,root,root) %dir "/usr/src/debug/gmp/6.3.0/mpn/generic"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/div_qr_1n_pi1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mul_basecase.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/perfsqr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom6_sqr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sec_div_r.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mulmid.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom8h_mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mod_1_3.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/comb_tables.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sqrmod_bnm1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/bsqrt.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/compute_powtab.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sub_err3_n.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mu_bdiv_qr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/scan0.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mod_1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom_interpolate_12pts.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom2_sqr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom_eval_pm1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sec_pi1_div_qr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sizeinbase.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/trialdiv.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/gcdext.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom_eval_pm2exp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/random2.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mullo_basecase.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/get_str.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/perfsqr.h"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/binvert.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom54_mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/hgcd2_jacobi.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/dcpi1_bdiv_qr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/hgcd_step.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sec_div_qr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/dcpi1_div_q.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/div_qr_1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sub_err2_n.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/powlo.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/divrem_2.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mul_fft.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/redc_2.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sbpi1_div_qr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/gcd.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom42_mulmid.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sqrtrem.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mulmid_n.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/divis.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mod_1_4.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom_interpolate_16pts.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/dive_1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom3_sqr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/hgcd2.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sec_sub_1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/random.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mod_1_1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom22_mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mulmod_bnm1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sec_powm.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom_eval_pm2rexp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mullo_n.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/gcdext_lehmer.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/fib_table.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sqr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sqr_basecase.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/pow_1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/jacobi_2.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/gcd_1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mul_n.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/diveby3.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sub_err1_n.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/invertappr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom53_mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/add_err2_n.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/fib2_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sbpi1_bdiv_r.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/redc_1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/div_qr_2n_pi1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sec_pi1_div_r.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/bdiv_qr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/tdiv_qr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/divexact.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sqrlo.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/remove.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/bsqrtinv.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/jacobi.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sbpi1_divappr_q.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/zero.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom6h_mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/get_d.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom_eval_pm2.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/bdiv_q.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/perfpow.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/add_n_sub_n.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/broot.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mod_1_2.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/cnd_swap.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/hgcd_matrix.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom62_mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sec_mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mu_bdiv_q.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom_interpolate_6pts.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom_eval_dgr3_pm1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom_couple_handling.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom43_mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/strongfibo.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mu_div_qr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom63_mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/invert.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom33_mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/rootrem.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/powm.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mu_div_q.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/redc_n.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/matrix22_mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/pre_mod_1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/div_qr_2u_pi1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom_interpolate_7pts.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/div_q.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom52_mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/gcdext_1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sec_sqr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/fib2m.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom_eval_dgr3_pm2.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/hgcd_appr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mp_bases.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/dcpi1_div_qr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/dcpi1_divappr_q.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom8_sqr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/hgcd_reduce.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/hgcd_jacobi.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom32_mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sec_invert.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mulmod_bknp1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/gcd_subdiv_step.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/nussbaumer_mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/set_str.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom42_mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mode1o.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mulmid_basecase.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/mu_divappr_q.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sbpi1_bdiv_qr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/divrem.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sqrlo_basecase.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sbpi1_bdiv_q.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom_interpolate_5pts.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sec_add_1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/hgcd.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/dump.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/matrix22_mul1_inverse_vector.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/jacbase.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/add_err3_n.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom_interpolate_8pts.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/add_err1_n.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/scan1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/dcpi1_bdiv_q.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom4_sqr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/toom44_mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/sbpi1_div_q.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/div_qr_2.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/brootinv.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpn/generic/hgcd2-div.h"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cmpabs_d.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/bin_uiui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/oddfac_1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/tdiv_q_2exp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/kronuz.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/mul_i.h"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/init2.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/fdiv_r_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/hamdist.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/rrandomb.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/tstbit.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cdiv_qr_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cmpabs.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/scan0.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cmp_d.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/mod.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/roinit_n.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/sizeinbase.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/xor.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/iset.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/gcdext.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/kronzu.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/random2.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/fdiv_r.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/fib_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/clear.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cmp_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/get_str.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/tdiv_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/realloc2.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/clrbit.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/realloc.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/neg.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/limbs_finish.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/set_si.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/lcm.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/gcd.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/combit.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/kronsz.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/sqrtrem.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/divis.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cdiv_r_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/tdiv_r_2exp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/random.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/array_init.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/divis_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/clears.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/aorsmul_i.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/iset_d.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cmp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/sqrt.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/fdiv_qr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/limbs_read.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cfdiv_r_2exp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/pow_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/out_raw.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/pprime_p.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/primorial_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/inp_str.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/iset_str.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/init.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/iset_si.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cdiv_qr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/tdiv_q.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/fib2_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/set_f.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/setbit.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/divegcd.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cong_2exp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/ui_sub.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/iset_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/tdiv_qr.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cdiv_r.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/com.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/divexact.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/remove.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/mul_2exp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/jacobi.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cmp_si.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/aors.h"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/dive_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/get_d.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cfdiv_q_2exp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cdiv_q.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/root.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/perfpow.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cong.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/ior.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cdiv_q_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/nextprime.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cmpabs_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/divis_2exp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/and.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/fac_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/limbs_modify.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/lcm_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/lucnum2_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/aors_ui.h"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/gcd_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/get_d_2exp.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/set_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/invert.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/millerrabin.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/rootrem.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/abs.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/powm.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/urandomb.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/export.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/kronzs.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/mul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/tdiv_r_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/fits_s.h"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/aorsmul.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/tdiv_qr_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/inits.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/get_si.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/stronglucas.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/powm_sec.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/tdiv_r.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/set_str.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/fdiv_q.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/bin_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/lucnum_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/import.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/n_pow_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/lucmod.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/inp_raw.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/swap.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/tdiv_q_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cdiv_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/urandomm.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/powm_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/fdiv_q_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/mfac_uiui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/2fac_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/set.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/ui_pow_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/fdiv_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/out_str.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/limbs_write.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/dump.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/set_d.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/scan1.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/cong_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/fdiv_qr_ui.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/mpz/prodlimbs.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/cxx/osdoprnti.cc"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/cxx/ismpz.cc"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/cxx/ismpq.cc"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/cxx/osmpf.cc"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/cxx/osmpz.cc"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/cxx/ismpznw.cc"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/cxx/osfuns.cc"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/cxx/osmpq.cc"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/cxx/ismpf.cc"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/cxx/isfuns.cc"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/sprintffuns.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/obprintf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/fprintf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/doprnti.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/vsprintf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/vfprintf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/doprntf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/vprintf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/vsnprintf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/snprntffuns.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/sprintf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/snprintf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/doprnt.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/asprintf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/vasprintf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/printf.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/obprntffuns.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/printffuns.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/asprntffuns.c"
%attr(644,root,root) "/usr/src/debug/gmp/6.3.0/printf/obvprintf.c"

%files -n libgmp-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) "/usr/lib/.debug/libgmp.so.10.5.0"
%attr(755,root,root) "/usr/lib/.debug/libgmpxx.so.4.7.0"

%files -n libgmpxx4
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(777,root,root) "/usr/lib/libgmpxx.so.4"
%attr(755,root,root) "/usr/lib/libgmpxx.so.4.7.0"

%files -n libgmp-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib/pkgconfig"
%attr(777,root,root) "/usr/lib/libgmpxx.so"
%attr(777,root,root) "/usr/lib/libgmp.so"
%attr(644,root,root) "/usr/lib/pkgconfig/gmp.pc"
%attr(644,root,root) "/usr/lib/pkgconfig/gmpxx.pc"
%attr(644,root,root) "/usr/include/gmp.h"
%attr(644,root,root) "/usr/include/gmp-64.h"
%attr(644,root,root) "/usr/include/gmpxx.h"

%files -n libgmp-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/info"
%attr(644,root,root) "/usr/share/info/gmp.info"
%attr(644,root,root) "/usr/share/info/gmp.info-1"
%attr(644,root,root) "/usr/share/info/gmp.info-2"

%files -n libgmp10
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) "/usr/lib/libgmp.so.10.5.0"
%attr(777,root,root) "/usr/lib/libgmp.so.10"

%%prep
echo "include logs and patches, Please check them in SOURCES"

